#### Previous topic

scipy.special.lqn

#### Next topic

scipy.special.lqmn

# scipy.special.lpmn

`scipy.special.``lpmn`(m, n, z)

  Sequence of associated Legendre functions of the first kind.

  Computes the associated Legendre function of the first kind of order m and degree n, `Pmn(z)` = \(P_n^m(z)\), and its derivative, `Pmn'(z)`. Returns two arrays of size `(m+1, n+1)` containing `Pmn(z)` and `Pmn'(z)` for all orders from `0..m` and degrees from `0..n`.

  This function takes a real argument `z`. For complex arguments `z` use clpmn instead.

  Parameters:

  m : int

  > `|m| <= n`; the order of the Legendre function.

  n : int

  > where `n >= 0`; the degree of the Legendre function. Often called `l` (lower case L) in descriptions of the associated Legendre function

  z : float

  > Input value.

  Returns:

  Pmn_z : (m+1, n+1) array

  > Values for all orders 0..m and degrees 0..n

  Pmn_d_z : (m+1, n+1) array

  > Derivatives for all orders 0..m and degrees 0..n

  See also

  `clpmn`
    associated Legendre functions of the first kind for complex z

  Notes

  In the interval (-1, 1), Ferrer’s function of the first kind is returned. The phase convention used for the intervals (1, inf) and (-inf, -1) is such that the result is always real.

  References

  [R457] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html

  [R458] | NIST Digital Library of Mathematical Functions http://dlmf.nist.gov/14.3